Xalan-Java 2.7.1: Class SAX2DOM

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.trax
Class SAX2DOM

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.trax.SAX2DOM

public class SAX2DOM
extends java.lang.Object
implements ContentHandler, LexicalHandler, Constants

Constructor Summary
`SAX2DOM()`
`SAX2DOM(Node root)`
`SAX2DOM(Node root, Node nextSibling)`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `comment(char[] ch, int start, int length)` Lexical Handler method to create comment node in DOM tree.
`void` | `endCDATA()`
`void` | `endDocument()`
`void` | `endDTD()`
`void` | `endElement(java.lang.String namespace, java.lang.String localName, java.lang.String qName)`
`void` | `endEntity(java.lang.String name)`
`void` | `endPrefixMapping(java.lang.String prefix)`
`Node` | `getDOM()`
`void` | `ignorableWhitespace(char[] ch, int start, int length)` This class is only used internally so this method should never be called.
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` adds processing instruction node to DOM.
`void` | `setDocumentLocator(Locator locator)` This class is only used internally so this method should never be called.
`void` | `skippedEntity(java.lang.String name)` This class is only used internally so this method should never be called.
`void` | `startCDATA()`
`void` | `startDocument()`
`void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` | `startElement(java.lang.String namespace, java.lang.String localName, java.lang.String qName, Attributes attrs)`
`void` | `startEntity(java.lang.String name)`
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAX2DOM

    public SAX2DOM()
            throws ParserConfigurationException

### SAX2DOM

    public SAX2DOM(Node root,
                   Node nextSibling)
            throws ParserConfigurationException

### SAX2DOM

    public SAX2DOM(Node root)
            throws ParserConfigurationException

Method Detail

### getDOM

    public Node getDOM()

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Specified by:
    characters in interface ContentHandler

### startDocument

    public void startDocument()

  Specified by:
    startDocument in interface ContentHandler

### endDocument

    public void endDocument()

  Specified by:
    endDocument in interface ContentHandler

### startElement

    public void startElement(java.lang.String namespace,
                             java.lang.String localName,
                             java.lang.String qName,
                             Attributes attrs)

  Specified by:
    startElement in interface ContentHandler

### endElement

    public void endElement(java.lang.String namespace,
                           java.lang.String localName,
                           java.lang.String qName)

  Specified by:
    endElement in interface ContentHandler

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)

  Specified by:
    startPrefixMapping in interface ContentHandler

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)

  Specified by:
    endPrefixMapping in interface ContentHandler

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)

  This class is only used internally so this method should never be called.
  Specified by:
    ignorableWhitespace in interface ContentHandler

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)

  adds processing instruction node to DOM.
  Specified by:
    processingInstruction in interface ContentHandler

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  This class is only used internally so this method should never be called.
  Specified by:
    setDocumentLocator in interface ContentHandler

### skippedEntity

    public void skippedEntity(java.lang.String name)

  This class is only used internally so this method should never be called.
  Specified by:
    skippedEntity in interface ContentHandler

### comment

    public void comment(char[] ch,
                        int start,
                        int length)

  Lexical Handler method to create comment node in DOM tree.
  Specified by:
    comment in interface LexicalHandler

### startCDATA

    public void startCDATA()

  Specified by:
    startCDATA in interface LexicalHandler

### endCDATA

    public void endCDATA()

  Specified by:
    endCDATA in interface LexicalHandler

### startEntity

    public void startEntity(java.lang.String name)

  Specified by:
    startEntity in interface LexicalHandler

### endDTD

    public void endDTD()

  Specified by:
    endDTD in interface LexicalHandler

### endEntity

    public void endEntity(java.lang.String name)

  Specified by:
    endEntity in interface LexicalHandler

### startDTD

    public void startDTD(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)
                  throws SAXException

  Specified by:
    startDTD in interface LexicalHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.